public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Julien Roy" <julien@jroy.ca>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/proj/guru:master commit in: gui-libs/mir/
Date: Tue, 19 Nov 2024 16:10:05 +0000 (UTC)	[thread overview]
Message-ID: <1732026212.ecc00b443ca20a2784f5b67c55b251f6240ccf43.julien@gentoo> (raw)

commit:     ecc00b443ca20a2784f5b67c55b251f6240ccf43
Author:     Takuya Wakazono <pastalian46 <AT> gmail <DOT> com>
AuthorDate: Tue Nov 19 14:23:32 2024 +0000
Commit:     Julien Roy <julien <AT> jroy <DOT> ca>
CommitDate: Tue Nov 19 14:23:32 2024 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=ecc00b44

gui-libs/mir: add 2.18.3

Signed-off-by: Takuya Wakazono <pastalian46 <AT> gmail.com>

 gui-libs/mir/Manifest          |  1 +
 gui-libs/mir/mir-2.18.3.ebuild | 90 ++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 91 insertions(+)

diff --git a/gui-libs/mir/Manifest b/gui-libs/mir/Manifest
index 5b065c9d5..f75eceeec 100644
--- a/gui-libs/mir/Manifest
+++ b/gui-libs/mir/Manifest
@@ -1 +1,2 @@
 DIST mir-2.18.2.tar.gz 6759660 BLAKE2B 8eff56378fd449633575289ae88634bbe59c83ad129f6a4919e6ad0103ea7fbc5e129d5bdb795c86f349846cbf832bd004a0428fa9b36c4d4407a05c781e94ce SHA512 bc88ad1bc7f3dea9f0db768fa2931b39e1370f1b2905221ab65765bcd99230dc43b81f6b12b7fc57c4adf0e52aa832bbde0885345f6f849c34996779b0cfc9e9
+DIST mir-2.18.3.tar.gz 6759986 BLAKE2B f651fd7b743d7f1faa4c6d83a1ba9eecd8fe20afb437fffee5f03bbe8238731034577c154cc4b0fc953156e708d613fbb5cc17bff3e86ce2b48e6a031bca4298 SHA512 7a2cc6678ff622cb131ba4aad5b84843d63ff054897e7990c6a605327ec5b599b7903a7ce68c356c62196680d90aa7adb90671dcc31706b8a07b1eb3d97fc752

diff --git a/gui-libs/mir/mir-2.18.3.ebuild b/gui-libs/mir/mir-2.18.3.ebuild
new file mode 100644
index 000000000..7960b1949
--- /dev/null
+++ b/gui-libs/mir/mir-2.18.3.ebuild
@@ -0,0 +1,90 @@
+# Copyright 2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake xdg
+
+DESCRIPTION="Set of libraries for building Wayland based shells"
+HOMEPAGE="https://mir-server.io/"
+SRC_URI="https://github.com/canonical/mir/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="|| ( GPL-2 GPL-3 ) || ( LGPL-2.1 LGPL-3 )"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="test X"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+	dev-cpp/glibmm:2
+	dev-cpp/libxmlpp:2.6
+	dev-cpp/yaml-cpp:=
+	dev-libs/boost:=
+	dev-libs/glib:2
+	dev-libs/libinput:=
+	dev-libs/wayland
+	dev-util/lttng-ust:=
+	media-libs/freetype
+	media-libs/libepoxy
+	media-libs/libglvnd
+	media-libs/mesa
+	sys-apps/util-linux
+	x11-libs/libXcursor
+	x11-libs/libdrm
+	x11-libs/libxcb:=
+	x11-libs/libxkbcommon
+	virtual/libudev:=
+	X? ( x11-libs/libX11 )
+"
+DEPEND="
+	${RDEPEND}
+	media-libs/glm
+"
+BDEPEND="
+	dev-util/gdbus-codegen
+	virtual/pkgconfig
+	test? (
+		dev-cpp/gtest
+		dev-util/umockdev
+		x11-base/xwayland
+	)
+"
+
+PATCHES=(
+	# bug 932786
+	"${FILESDIR}/${PN}-2.17.0-remove-debug-flags.patch"
+)
+
+src_prepare() {
+	cmake_src_prepare
+	cmake_comment_add_subdirectory examples/
+}
+
+src_configure() {
+	local platforms="gbm-kms;wayland"
+	use X && platforms="${platforms};x11"
+
+	local mycmakeargs=(
+		# wlcs is not packaged
+		-DMIR_ENABLE_WLCS_TESTS=OFF
+		-DMIR_ENABLE_TESTS="$(usex test)"
+		-DMIR_FATAL_COMPILE_WARNINGS=OFF
+		-DMIR_PLATFORM="${platforms}"
+	)
+	use test && mycmakeargs+=(
+		# likely will not work in build environment
+		-DMIR_BUILD_PERFORMANCE_TESTS=OFF
+		-DMIR_BUILD_PLATFORM_TEST_HARNESS=OFF
+		-DMIR_BUILD_UNIT_TESTS=OFF
+	)
+	cmake_src_configure
+}
+
+src_install() {
+	cmake_src_install
+
+	if use test; then
+		# remove dummy libraries
+		rm -f "${ED}/usr/$(get_libdir)/mir/server-platform/"{graphics-dummy.so,input-stub.so} || die
+	fi
+}


             reply	other threads:[~2024-11-19 16:10 UTC|newest]

Thread overview: 13+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-11-19 16:10 Julien Roy [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-03-24  9:51 [gentoo-commits] repo/proj/guru:master commit in: gui-libs/mir/ David Roman
2025-03-13 13:45 David Roman
2025-01-22 14:53 Haelwenn Monnier
2025-01-22 14:53 Haelwenn Monnier
2024-12-04 14:56 David Roman
2024-12-04 14:56 David Roman
2024-11-19 16:10 Julien Roy
2024-09-29 18:00 David Roman
2024-09-29 18:00 David Roman
2024-09-16 15:51 David Roman
2024-09-16 15:51 David Roman
2024-05-25 13:01 Julien Roy

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1732026212.ecc00b443ca20a2784f5b67c55b251f6240ccf43.julien@gentoo \
    --to=julien@jroy.ca \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox